Package Details: vala-panel-appmenu-valapanel-git 0.7.6.r29.g7abc96e-1

Git Clone URL: https://aur.archlinux.org/vala-panel-appmenu-xfce-git.git (read-only, click to copy)
Package Base: vala-panel-appmenu-xfce-git
Description: AppMenu (Global Menu) plugin for vala-panel
Upstream URL: https://gitlab.com/vala-panel-project/vala-panel-appmenu
Licenses: LGPL3
Conflicts: vala-panel-appmenu-valapanel
Provides: vala-panel-appmenu-valapanel
Submitter: rilian
Maintainer: rilian
Last Packager: rilian
Votes: 36
Popularity: 0.000000
First Submitted: 2015-04-01 21:00 (UTC)
Last Updated: 2024-01-12 21:58 (UTC)

Required by (4)

Sources (1)

Latest Comments

1 2 3 4 5 6 .. 18 Next › Last »

xiota commented on 2023-10-13 23:02 (UTC)

Non-existent packages should be removed from dependencies, even though optional.

rilian commented on 2023-09-20 13:28 (UTC)

@xiota same case as with vala-panel-sntray-git. There was a rename around https://aur.archlinux.org/cgit/aur.git/commit/PKGBUILD?h=vala-panel-appmenu-xfce-git&id=685d1ccd4f9e2471f6cd2cc9867dbdf1eb38caad.

So, it is a legitimate directive.

xiota commented on 2023-09-20 13:25 (UTC) (edited on 2023-10-13 23:01 (UTC) by xiota)

Please remove replaces directive. Thank you.

FabioLolix commented on 2023-01-05 01:50 (UTC)

@dirtikiti it is required at build time to build the budgie plugin, you can edit the pkgbuild to build only what you need, in the top of the pkgbuild edit _disable_budgie=0 from 0 to 1, same for the other options

dirtikiti commented on 2023-01-05 01:36 (UTC)

Why is the entire budgie desktop required for a menu plugin?

psi-jack commented on 2022-10-11 16:50 (UTC) (edited on 2022-10-11 16:51 (UTC) by psi-jack)

This is what I'm seeing as a possible fix, because what's happening is /usr/share/doc/ and /usr/share/licenses is being shared between the packages and only common really needs it since common is depended on by all the others:

diff --git a/PKGBUILD b/PKGBUILD
index 8c74a40..3832ef5 100755
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -51,8 +51,8 @@ fi

 _pkgbase=vala-panel-appmenu
 pkgbase=${_pkgbase}-xfce-git
-pkgver=0.7.4
-pkgrel=2
+pkgver=0.7.6
+pkgrel=1
 pkgdesc="AppMenu (Global Menu) plugin"
 url="https://gitlab.com/vala-panel-project/vala-panel-appmenu"
 arch=('i686' 'x86_64')
@@ -85,7 +85,7 @@ package_vala-panel-appmenu-xfce-git() {
             'appmenu-qt: for qt4 menus'
             'appmenu-qt5: for qt5 menus')
   DESTDIR="${pkgdir}" meson install -C build
-  rm -rf ${pkgdir}/usr/share/{vala-panel,glib-2.0,locale,mate-panel,vala-panel-appmenu}
+  rm -rf ${pkgdir}/usr/share/{vala-panel,glib-2.0,locale,mate-panel,vala-panel-appmenu,doc,licenses}
   rm -rf ${pkgdir}/usr/lib/{mate-panel,vala-panel,budgie-desktop}
 }

@@ -100,7 +100,7 @@ package_vala-panel-appmenu-valapanel-git() {
             'appmenu-qt5: for qt5 menus')

   DESTDIR="${pkgdir}" meson install -C build
-  rm -rf ${pkgdir}/usr/share/{xfce4,glib-2.0,locale,mate-panel,vala-panel-appmenu}
+  rm -rf ${pkgdir}/usr/share/{xfce4,glib-2.0,locale,mate-panel,vala-panel-appmenu,doc,licenses}
   rm -rf ${pkgdir}/usr/lib/{mate-panel,xfce4,budgie-desktop}
 }

@@ -114,7 +114,7 @@ package_vala-panel-appmenu-mate-git() {
             'appmenu-qt: for qt4 menus'
             'appmenu-qt5: for qt5 menus')
   DESTDIR="${pkgdir}" meson install -C build
-  rm -rf ${pkgdir}/usr/share/{vala-panel,glib-2.0,locale,xfce4,vala-panel-appmenu}
+  rm -rf ${pkgdir}/usr/share/{vala-panel,glib-2.0,locale,xfce4,vala-panel-appmenu,doc,licenses}
   rm -rf ${pkgdir}/usr/lib/{xfce4,vala-panel,budgie-desktop}
 }

psi-jack commented on 2022-10-11 13:28 (UTC)

Thank you! I'll be glad to help out with it possibly sometime as well as I pretty much now run XFCE only these days, pending GNOME to fix a lot of DisplayPort-related issues I have.

rilian commented on 2022-10-11 12:59 (UTC)

will look for it this week. I just can do it only from one laptop.

psi-jack commented on 2022-10-09 14:46 (UTC) (edited on 2022-10-09 15:15 (UTC) by psi-jack)

error: failed to commit transaction (conflicting files)
vala-panel-appmenu-common-git: /usr/share/doc/vala-panel-appmenu/README.md exists in filesystem (owned by vala-panel-appmenu-xfce-git)
vala-panel-appmenu-common-git: /usr/share/licenses/vala-panel-appmenu/LICENSE exists in filesystem (owned by vala-panel-appmenu-xfce-git)
Errors occurred, no packages were upgraded.

Since 0.7.6.r21 to 0.7.6.r26

Looks like upstream made some commits to cause exactly this...

https://gitlab.com/vala-panel-project/vala-panel-appmenu/-/commits/master